org.springframework.batch.item.file.transform

## Enum Alignment

- java.lang.Object
- - java.lang.Enum<Alignment>
  - - org.springframework.batch.item.file.transform.Alignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Alignment>

      public enum Alignment
      extends java.lang.Enum<Alignment>

  Author:
    Dave Syer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `LEFT`
    `RIGHT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Comparable<java.lang.String>` | `getCode()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getStringCode()`
    `static Alignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Alignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final Alignment CENTER

    - #### RIGHT

          public static final Alignment RIGHT

    - #### LEFT

          public static final Alignment LEFT

  - ### Method Detail

    - #### values

          public static Alignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Alignment c : Alignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Alignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.Comparable<java.lang.String> getCode()

    - #### getStringCode

          public java.lang.String getStringCode()

    - #### getLabel

          public java.lang.String getLabel()